www.cendio.com
Bug 5195 - Change default export list, disable local drives per default
: Change default export list, disable local drives per default
Status: CLOSED FIXED
: ThinLinc
Local drive redirection
: 4.2.0
: PC Unknown
: P2 Normal
: 4.3.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-06-25 13:58 by
Modified: 2014-10-29 14:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-06-25 13:58:34
Currently, local drives export is enabled by default on UNIX, but not on
Windows. The default UNIX export list is:

/media/cdrom,ro

This isn't very useful: Modern distributions typically creates a mount point
with the media name, ie:

/media/MYUSBDRIVE/

To handle all plugged in drives, one can export /media. This is likely a better
default. However, having this enabled by default might surprise some users.
MSTSC, for example, does not use local drive redirection by default. Thus, my
suggestion is that we should provide a default export list of:

/media,rw

...but with local drive exports disabled by default.
------- Comment #1 From cendio 2014-06-25 14:10:21 -------
Fixed in 29107.
------- Comment #2 From cendio 2014-09-24 14:45:02 -------
Verified using ThinLinc client build 4500 on both Linux and Windows.

Works as expected.
------- Comment #3 From cendio 2014-10-16 14:03:38 -------
This caused local drives to be disabled on SLETC. Possible also on other
terminals. Probably need to check.
------- Comment #4 From cendio 2014-10-20 10:47:45 -------
(In reply to comment #3)
> This caused local drives to be disabled on SLETC. Possible also on other
> terminals. Probably need to check.

Fixed the Wyse and Thinstation package in 29518.
------- Comment #5 From cendio 2014-10-20 11:31:02 -------
(In reply to comment #4)
> (In reply to comment #3)
> > This caused local drives to be disabled on SLETC. Possible also on other
> > terminals. Probably need to check.
> 
> Fixed the Wyse and Thinstation package in 29518.

Tweaked again in 29519.
------- Comment #6 From cendio 2014-10-29 14:36:32 -------
Verified that the ThinLinc client packages have local drive redirection enabled
per default using ThinLinc client 4.3.0 rc3